# 开发环境
server:
  port: 10099
  servlet:
    context-path: /

# 数据源
spring:
  ## quartz定时任务,采用数据库方式
  quartz:
    #相关属性配置
    properties:
      org:
        quartz:
          jobStore:
            driverDelegateClass: org.quartz.impl.jdbcjobstore.PostgreSQLDelegate
    #数据库方式
    job-store-type: jdbc
  datasource:
    druid:
      url: jdbc:postgresql://121.43.55.7:5433/building?stringtype=unspecified&u003fuseUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&serverTimezone=PRC&useSSL=false&tinyInt1isBit=false
      username: postgres
      password: SKYversation@0816
  redis:
    host: 121.43.55.7
    port: 6380
    database: 12
    password: SKYversation
  rabbitmq:
    host: 8.130.177.22
    port: 5672
    username: admin
    password: aaaaaa
  mqtt:
    url: tcp://10.12.242.162:1883
    topic: notice/device/status/safety/camera,notice/device/status/energy/device
    username: device
    password: device123
    completionTimeout: 3000



# 日志配置
logging:
  level:
    com.sky: debug

# Swagger配置
swagger:
  enabled: true

# 自定义配置
sky:
  dataIp: 192.168.1.45:9001
